### Method

# MalcontentUi UserControls set_permission

since: 0.5.0

#### Declaration [src]

    void
    mct_user_controls_set_permission (
      MctUserControls* self,
      GPermission* permission
    )

#### Description [src]

Set the value of `MctUserControls:permission`.

Available since: 0.5.0

Sets property | `MalcontentUi.UserControls:permission`

#### Parameters

`permission`

  Type: `GPermission`

  The `GPermission` indicating whether the current user has permission to view or change parental controls, or `NULL` if permission is not allowed or is unknown.

  The argument can be `NULL`.
  The data is owned by the caller of the method.